	-- Main file for Zombie Escape
	-- LMelior
	-- 8/20/2006
	
	-- Functions
	function init()
		
		
		-- Activate USB for debugging
		System.usbDiskModeActivate()
		
		-- Include other Lua files with code we want to use
		dofile("menu.lua")		-- Contains menu functions
		dofile("zombie.lua")	-- Contains game functions
	
		-- Define global constants
		gameState = "menu"   	-- This is the current game state
		backState = "menu"		-- This is where Back from the Options menu will go
		running = true			-- Tells the program when to end
		oldpad=Controls.read()	-- Initialize oldpad
		animk=1					-- Animation counter
		maxanimk=30				-- Animation reset
		level=1					-- Initialize game level
		BGMLevel=128			-- Default music volume
		SFXLevel=32				-- Default sound effects volume
		score=0					-- Initialize game score
		Music.volume(BGMLevel)
		SoundSystem.SFXVolume(SFXLevel)

		-- Set random seed
		math.randomseed(os.time())
	
		-- Colors
		white =Color.new(255,255,255)
		red   =Color.new(255,000,000)
		green =Color.new(000,255,000)
		blue  =Color.new(000,000,255)
		black =Color.new(000,000,000)

		-- Graphics
		background=Image.load("./images/zbg.png")
		tiles=Image.load("./images/zombie.png")
		lose=Image.load("./images/zlose.png")
		win=Image.load("./images/zwin.png")
		selector={image=Image.load("./images/zcursor.png"),x=160,yind=1}
		title=Image.load("./images/ztitle.png")
		splash=Image.load("retrohead-nfscc2k6_FINAL_psp.png")
		buttons=Image.load("./images/buttons.png")
		
		-- Sounds
		chomp=Sound.load("./sounds/crunch.wav",false)
		burn=Sound.load("./sounds/fuse.wav",false)
		die=Sound.load("./sounds/scream.wav",false)
		boil=Sound.load("./sounds/bubbling.wav",false)
		cursor=Sound.load("./sounds/cursorchoice.wav",false)
	
		screen:blit(0,0,splash)
		screen.waitVblankStart()
		screen:flip()
		counter=Timer.new()
		counter:start()
		while counter:time()<5000 do
			-- absolutely nothing!
		end
	end

	function shutdown()
		-- Unloads anything that was already loaded
		white=nil
		red=nil
		green=nil
		blue=nil
		black=nil
		background=nil
		tiles=nil
		lose=nil
		win=nil
		selector=nil
		title=nil
		splash=nil
		chomp=nil
		burn=nil
		die=nil
		boil=nil
		cursor=nil
		System.Quit()

	end

	function main()

		init()

		while running do
		screen:clear()
		pad=Controls.read()

			if gameState == "menu" then
				MainMenu()
			elseif gameState == "options" then
				OptionsMenu()
			elseif gameState == "gameinit" then
				GameInit(level)
			elseif gameState == "game" then
				Zombie()
			end
			
		screen.waitVblankStart()
		screen.flip()
		oldpad=pad
		end

		shutdown()
		
	end


	main()